@charset "utf-8";


/* flaot:start */
.float {
  position: fixed;
  right: 10px;
  bottom: 16%;
  z-index: 1000;
  opacity: 0;
  pointer-events: none;
  background-color: #fff;
  width: 272px;
  box-shadow: 0px 0px 12px 0px rgba(0, 0, 0, 0.4);
  transition: 0.2s opacity;
}

@media screen and (max-width: 960px) {
  .float {
    right: 1.0416666667vw;
    width: 28.333333334vw;
  }
}

@media screen and (max-width: 768px) {
  .float {
    width: 36.2666666667vw;
    right: 1.3333333333vw;
    box-shadow: 0px 0px 2.6666666667vw 0px rgba(0, 0, 0, 0.4);
  }
}

.float__link {
  transition: 0.2s opacity;
}

.float__link img{
  width: 100%;
}

.float__link:hover {
  opacity: 0.7;
}

.float__close {
  position: absolute;
  top: -13.0718954248%;
  right: -3.6764705882%;
  width: 14.7058823529%;
  height: 26.1437908497%;
  border-radius: 100%;
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.2);
  background-color: #fff;
}

@media screen and (max-width: 960px) {
  .float__close {
    width: 6.6666666667vw;
    height: 6.6666666667vw;
    top: -3.3333333334vw;
  }
  
  .float__close img{
    width: 100%;
    height: 100%;
  }
}

@media screen and (max-width: 768px) {
  .float__close {
    width: 8.5333333333vw;
    height: 8.5333333333vw;
    top: -4.2666666667vw;
    right: -1.3333333333vw;
    box-shadow: 0px 0px 2.6666666667vw 0px rgba(0, 0, 0, 0.2);
  }
}

.float__close-button {
  background-color: transparent;
  border: none;
  transition: 0.2s opacity;
  width: 100%;
  height: 100%;
  line-height: 10;
}

.float__close-button:hover {
  cursor: pointer;
  opacity: 0.7;
}

.float.is-active {
  opacity: 1;
  visibility: visible;
  pointer-events: all;
}

/* float:end */